# Verification Examples

The example below shows a successful run of the Redefine `verify` command, as well as two failure cases to give you an idea of what might go wrong during the verification process:

{% tabs %}
{% tab title="Successful" %}

```bash
==================================================
                Redefine Verifier                 
==================================================
➤ Environment Verifications:
	✓ OS: linux
	i CI Platform: JENKINS
		✓ CI Type: ci_run_id (env name: BUILD_TAG): build-tag=123
		✓ CI Type: pipeline_name (env name: JOB_NAME): job-name
		✓ CI Type: job_name (env name: STAGE_NAME): stage-name
		✓ CI Type: git_path (env name: WORKSPACE): /home/user/project
		✓ CI Type: source_branch (env name: GIT_BRANCH): my_git_branch
	✓ Redefine Auth: Successfully generated authentication token
	✓ Server Access: Successfully connected to redefine server
➤ Python Verifications:
	✓ Python Version: 3.10.6
	✓ Pytest Version: 7.0.1
	✓ Python Packages: Found 349 packages installed
	i Python Packages:
		~ Python Packages: Package `pytest-6` is not officially supported
		~ Python Packages: Package `pytest-durations` is not officially supported
	i Redefine Requirement:
		i Redefine Requirements: Redefine pytest plugin will install coralogix-logger version: <3.0.0,>=2.0.5
	~ Coralogix Requirements: Found the python package `coralogix-logger` is installed,if you encounter any issues, make sure to set `redefine config set pytest_coralogix_disabled=true`
➤ Git Verifications:
	✓ Git: Git: Successfully found git
	✓ Git Repository: /home/user/project
	✓ Git Remote: Single remote found - origin
	✓ Git Stable Branch: Stable Branch: main
	✓ Git: Environment git verification passed for git repo: /home/user/project
```

{% endtab %}

{% tab title="Pytest Version Issue " %}

```bash
==================================================
                Redefine Verifier                 
==================================================
➤ Environment Verifications:
	✓ OS: linux
	i CI Platform: JENKINS
		✓ CI Type: ci_run_id (env name: BUILD_TAG): build-tag=123
		✓ CI Type: pipeline_name (env name: JOB_NAME): job-name
		✓ CI Type: job_name (env name: STAGE_NAME): stage-name
		✓ CI Type: git_path (env name: WORKSPACE): /home/user/project
		✓ CI Type: source_branch (env name: GIT_BRANCH): my_git_branch
	✓ Redefine Auth: Successfully generated authentication token
	✓ Server Access: Successfully connected to redefine server
➤ Python Verifications:
	✓ Python Version: 3.10.6
	✗ Pytest Version: Pytest is not installed or cannot be imported. The supported versions are 5.4.0 or higher.
	! Pytest Version: Stopping after failure of check Pytest Version, next checks will not be executed not all checks were executed
➤ Git Verifications:
	✓ Git: Git: Successfully found git
	✓ Git Repository: /home/user/project
	✓ Git Remote: Single remote found - origin
	✓ Git Stable Branch: Stable Branch: main
	✓ Git: Environment git verification passed for git repo: /home/user/project
```

{% endtab %}

{% tab title="Missing Stable Branch" %}

```bash
==================================================
                Redefine Verifier                 
==================================================
➤ Environment Verifications:
	✓ OS: linux
	i CI Platform: JENKINS
		✓ CI Type: ci_run_id (env name: BUILD_TAG): build-tag=123
		✓ CI Type: pipeline_name (env name: JOB_NAME): job-name
		✓ CI Type: job_name (env name: STAGE_NAME): stage-name
		✓ CI Type: git_path (env name: WORKSPACE): /home/user/project
		✓ CI Type: source_branch (env name: GIT_BRANCH): my_git_branch
	✓ Redefine Auth: Successfully generated authentication token
	✓ Server Access: Successfully connected to redefine server
➤ Python Verifications:
	✓ Python Version: 3.10.6
	✓ Pytest Version: 7.0.1
	✓ Python Packages: Found 349 packages installed
	i Python Packages:
		~ Python Packages: Package `pytest-6` is not officially supported
		~ Python Packages: Package `pytest-durations` is not officially supported
	i Redefine Requirement:
		i Redefine Requirements: Redefine pytest plugin will install coralogix-logger version: <3.0.0,>=2.0.5
	~ Coralogix Requirements: Found the python package `coralogix-logger` is installed,if you encounter any issues, make sure to set `redefine config set pytest_coralogix_disabled=true`
➤ Git Verifications:
	✓ Git: Git: Successfully found git
	✓ Git Repository: /home/user/project
	✓ Git Remote: Single remote found - origin
	✗ Git Stable Branch: No stable branches specified in config - Set the stable branch by running `redefine config set stable_branch=<branch_name>`
	! Git Stable Branch: Stopping after failure of check Git Stable Branch, next checks will not be executed not all checks were executed

```

{% endtab %}

{% tab title="Missing REDEFINE\_AUTH - Cypress" %}

```
==================================================
                Redefine Verifier                 
==================================================
➤ Environment Verifications:
	✓ OS: linux
	i CI Platform: JENKINS
		✓ CI Type: ci_run_id (env name: BUILD_TAG): build-tag=123
		✓ CI Type: pipeline_name (env name: JOB_NAME): job-name
		✓ CI Type: job_name (env name: STAGE_NAME): stage-name
		✓ CI Type: git_path (env name: WORKSPACE): /home/user/project
		✓ CI Type: source_branch (env name: GIT_BRANCH): my_git_branch
	✗ Redefine Auth: REDEFINE_AUTH environment variable not set - Make sure to export it correctly - Make sure to set it with the API_KEY you were provided by Redefine.dev If you haven't, please contact us at support@redefine.dev
        ✗ Server Access: Unable to connect to redefine server - Make sure you have access to redefine.dev and its sub-domains, and outgoing rule for port 50500
➤ Git Verifications:
	✓ Git: Git: Successfully found git
	✓ Git Repository: /home/user/project
	✓ Git Remote: Single remote found - origin
	✓ Git Stable Branch: Stable Branch: main
	✓ Git: Environment git verification passed for git repo: /home/user/project
➤ Node Verifications:
        ✓ Node Version: 20.1.0
        ✓ Npm Version: 9.6.4
        ✓ Npx Version: 9.6.4
        ✓ Cypress Version: 12.12.0
               i Cypress Packages:
                       ✓ Cypress plugins: All discovered cypress plugins are supported.
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redefine.dev/welcome-to-redefine/quick-start/verification-examples.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
